﻿Public Class Holiday
    Private m_Date As Date
    Public Property [Date]() As Date
        Get
            Return m_Date
        End Get
        Set(ByVal value As Date)
            m_Date = value
        End Set
    End Property

    Private m_Description As String
    Public Property Description() As String
        Get
            Return m_Description
        End Get
        Set(ByVal value As String)
            m_Description = value
        End Set
    End Property

    ''' <summary>
    ''' Get Holidays as Objects
    ''' </summary>
    ''' <param name="EmptySet"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Shared Function GetHolidays(ByVal EmptySet As Boolean) As List(Of Holiday)
        Dim holidaylist As New List(Of Holiday)
        If Not EmptySet Then
            Dim H As New Holiday
            H.Date = #1/1/2009#
            H.Description = "New Year's Day"
            holidaylist.Add(H)

            H = New Holiday
            H.Date = #2/1/2009#
            H.Description = "1st February"
            holidaylist.Add(H)

            H = New Holiday
            H.Date = #4/2/2009#
            H.Description = "My Birthday"
            holidaylist.Add(H)
        End If
        Return holidaylist
    End Function
End Class
